## org.eclipse.emf.mapping.ecore2xml
Interface Ecore2XMLFactory

All Superinterfaces:
  EFactory, EModelElement, EObject, Notifier

All Known Implementing Classes:
  Ecore2XMLFactoryImpl

    public interface Ecore2XMLFactory

extends EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `Ecore2XMLPackage`

Field Summary
`static Ecore2XMLFactory` `eINSTANCE` The singleton instance of the factory

Method Summary
`XMLInfo` `createXMLInfo()` Returns a new object of class 'XML Info'
`XMLMap` `createXMLMap()` Returns a new object of class 'XML Map'
`Ecore2XMLPackage` `getEcore2XMLPackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final Ecore2XMLFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createXMLInfo

    XMLInfo createXMLInfo()

  Returns a new object of class 'XML Info'.

  Returns:
    a new object of class 'XML Info'.

### createXMLMap

    XMLMap createXMLMap()

  Returns a new object of class 'XML Map'.

  Returns:
    a new object of class 'XML Map'.

### getEcore2XMLPackage

    Ecore2XMLPackage getEcore2XMLPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.